de.vc.xml

## Class NodeTreeWalker

- java.lang.Object
- - de.vc.util.tree.AbstractTreeWalker
  - - de.vc.xml.NodeTreeWalker

- All Implemented Interfaces:
    de.vc.util.tree.TreeWalker

      public class NodeTreeWalker
      extends de.vc.util.tree.AbstractTreeWalker

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeTreeWalker(Node node)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Stack` | `buildParentIndexPath()`
    `protected java.util.Stack` | `buildParentObjectPath()`
    `protected java.lang.Object` | `doGetObject(int index)`
    `protected void` | `doInsertObject(int index, java.lang.Object obj)`
    `protected java.lang.Object` | `doRemove(int index)`
    `protected java.lang.Object` | `doSetObject(int index, java.lang.Object obj)`
    `protected boolean` | `doStepInto(int index)`
    `protected int` | `doStepOut()`
    `Node` | `getNode()`
    `boolean` | `hasParent()`
    `int` | `size()`

    - ### Methods inherited from class de.vc.util.tree.AbstractTreeWalker

      `getIndex, getIndexPath, getObject, getObjectPath, hasNext, hasPrevious, insertAfter, insertBefore, remove, selectNext, selectPrevious, setIndex, setObject, stepInto, stepOut`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeTreeWalker

          public NodeTreeWalker(Node node)

  - ### Method Detail

    - #### size

          public int size()

    - #### hasParent

          public boolean hasParent()

    - #### getNode

          public Node getNode()

    - #### doSetObject

          protected java.lang.Object doSetObject(int index,
                                     java.lang.Object obj)

      Specified by:
        `doSetObject` in class `de.vc.util.tree.AbstractTreeWalker`

    - #### doGetObject

          protected java.lang.Object doGetObject(int index)

      Specified by:
        `doGetObject` in class `de.vc.util.tree.AbstractTreeWalker`

    - #### doRemove

          protected java.lang.Object doRemove(int index)

      Specified by:
        `doRemove` in class `de.vc.util.tree.AbstractTreeWalker`

    - #### doInsertObject

          protected void doInsertObject(int index,
                            java.lang.Object obj)

      Specified by:
        `doInsertObject` in class `de.vc.util.tree.AbstractTreeWalker`

    - #### buildParentObjectPath

          protected java.util.Stack buildParentObjectPath()

      Specified by:
        `buildParentObjectPath` in class `de.vc.util.tree.AbstractTreeWalker`

    - #### buildParentIndexPath

          protected java.util.Stack buildParentIndexPath()

      Specified by:
        `buildParentIndexPath` in class `de.vc.util.tree.AbstractTreeWalker`

    - #### doStepInto

          protected boolean doStepInto(int index)

      Specified by:
        `doStepInto` in class `de.vc.util.tree.AbstractTreeWalker`

    - #### doStepOut

          protected int doStepOut()

      Specified by:
        `doStepOut` in class `de.vc.util.tree.AbstractTreeWalker`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.